# Asterisk Project : Asterisk 12 Application_WaitMusicOnHold

Added by wikibot , edited by wikibot on Aug 29, 2013

# WaitMusicOnHold()

### Synopsis

Wait, playing Music On Hold.

### Description

!!! DEPRECATED. Use MusicOnHold instead !!!

Plays hold music specified number of seconds. Returns `0` when done, or `-1` on hangup. If no hold music is available, the delay will still occur with no sound.

!!! DEPRECATED. Use MusicOnHold instead !!!

### Syntax

    WaitMusicOnHold(delay)

##### Arguments

- `delay`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown